/*
Theme Name:   Basha Uhuru
Theme URI:    http://lucidity.design
Description:  This is a custom child theme of Divi.
Author:       Richard George Davis
Author URI:   http://lucidity.design
Template:     Divi
Version:      1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
*/

#et-main-area a:not(.et-social-icons a) {
    text-decoration: none;
}

body.dipi-mobile-menu-fullscreen .dipi-menu-animation-grow.mobile_nav.opened:before {
  background-size: initial;
  background-repeat: repeat !important;
  /* background-image: url(./../../uploads/2022/08/Basha-top-v2.png) !important; */
  background-image: url(./../../uploads/2022/09/Asset-11.svg)!important;
  content: "";
  position: absolute;
  /* background-size: 20% !important; */
    background-size: 1% !important;
    width: 100%;
    height: 100%;
    display: block;
}


/* .basha-artist-name,
.basha-artist-pic, */
.basha-artist .et_pb_module {
flex: 1;
}

body .basha-artist .et_pb_column {
	        display: inline-flex;
        flex-direction: row;
        justify-content: flex-start;
	align-items: center;

}


@media all and (min-width: 980px) {
.basha-menu .et_pb_column {
	        display: flex;
        flex-direction: row;
        justify-content: space-between;
	align-items: center;
}
}

.basha-copy-1 {
  font-family: 'MagilioRegular', Helvetica, Arial, Lucida, sans-serif;
  font-size: 120%;
  letter-spacing: 1px;
  color: #ee4137
}

.basha-copy-3 {
  color: #ffdd00;
  font-weight: 700;
}

.basha-copy-2 {
  color: #2dabdf;
  font-weight: 700;
}

.basha-copy-4 {
  color: #ee4137
}

/*---[ START - New ] ---*/
body #rank-math-rich-snippet-wrapper {
  display: none !important;
}

/*---[ START - LC Kit popup fix ] ---*/
.mfp-wrap {
  z-index: 99999999;
  background: #fff
}

/*---[ START - Vertically center rows in sections and modules in columns ] ---*/
.bbd-valign-center-row .et_pb_column,
.bbd-valign-center-section,
.bbd-valign-center-module {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

/*---[ START change color of text highlight ] ---*/
::-moz-selection {
  color: #f7f8fb;
  background: ##00b3ff
}

::selection {
  color: #f7f8fb;
  background: #00b3ff
}

/*-- [START - Horizontal Scroll-Bar Bug] ---*/
#page-container {
  overflow: hidden;
}

@media all and (max-width: 980px) {

  html,
  body {
    overflow-x: hidden;
  }

  body {
    position: relative
  }
}

@-webkit-keyframes milly-shake {
  10%, 90% {
    -webkit-transform: translate3d(-1px, 0, 0);
    transform: translate3d(-1px, 0, 0)
  }

  20%, 80% {
    -webkit-transform: translate3d(2px, 0, 0);
    transform: translate3d(2px, 0, 0)
  }

  30%, 50%, 70% {
    -webkit-transform: translate3d(-3px, 0, 0);
    transform: translate3d(-3px, 0, 0)
  }

  40%, 60% {
    -webkit-transform: translate3d(3px, 0, 0);
    transform: translate3d(3px, 0, 0)
  }
}

@keyframes milly-shake {
  10%, 90% {
    -webkit-transform: translate3d(-1px, 0, 0);
    transform: translate3d(-1px, 0, 0)
  }

  20%, 80% {
    -webkit-transform: translate3d(2px, 0, 0);
    transform: translate3d(2px, 0, 0)
  }

  30%, 50%, 70% {
    -webkit-transform: translate3d(-3px, 0, 0);
    transform: translate3d(-3px, 0, 0)
  }

  40%, 60% {
    -webkit-transform: translate3d(3px, 0, 0);
    transform: translate3d(3px, 0, 0)
  }
}

.et_pb_section .milly-shake {
  -webkit-animation: milly-shake 1.5s infinite;
  animation: milly-shake 1.5s infinite;
  margin-right: 20px !important;
}

.et_pb_section .milly-shake:hover {
  -webkit-animation: none;
  animation: none;
}

.milly-inline-module, .et_pb_button_module_wrapper {
  display: inline-block;
}

.milly-inline-modules .et_pb_column {
  display: flex;
  flex-wrap: wrap;
}

.milly-close-this-section {
  cursor: pointer;
}

/*-- [START - list of logos horizontal centered ] ---*/
.logo-img-list .et_pb_column {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.logo-img-list .et_pb_column .et_pb_image {
  padding: 2em 2em;
  margin: auto 0 !important;
}

.logo-img-list .et_pb_column .et_pb_image:not(:first-child) {
/* max-width: 300px; */
max-width: 240px;

}

.logo-img-list .et_pb_column .et_pb_image:first-child {
/* max-width: 500px; */
max-width: 380px;
}

.logo-img-list .et_pb_column .et_pb_image img {
        width: 100%;
     height: auto;
  max-height: 90px;
}



/*---[ START -  Custom text styles ] ---*/
h1, h2, h3, h4, h5, h6 {
  margin: 10px 0 25px 0;
  padding-bottom: 0
}

.custom-styled-text p {
  margin: 0 0 20px;
  padding-bottom: 0
}

body .custom-styled-text p:first-of-type {
  margin-top: 20px !important
}

body .custom-styled-text p:last-of-type {
  margin-bottom: 0px !important
}

.custom-styled-text ul {
  margin: 28px 0 0;
  list-style-type: none !important;
  list-style-position: inside;
  padding-left: calc(2em + 14px) !important;
  padding-bottom: 0em;
}

.custom-styled-text ol ul {
  margin: 7px 0 5px;
}

.custom-styled-text ol ul li {
  padding: 3px 0;
}

.custom-styled-text ul>li {
  padding: 5.5px 0;
}

.custom-styled-text ol ul li:before {
  margin-right: 15px !important;
  margin-left: -43px !important;
}

.custom-styled-text ul>li:before {
  content: '\e052' !important;
  color: #ee4137;
  font-family: 'ETMODULES' !important;
  margin-right: 12px !important;
  margin-left: -34px !important;
  font-size: 1.2em !important;
  padding: 5.5px 0 !important;
  position: relative;
  top: 4px;
}

.custom-styled-text ol {
  margin: 28px 0 0;
  list-style-position: inside;
  padding-left: 27px !important;
  counter-reset: item;
  padding-bottom: 0em;
}

.custom-styled-text ol>li {
  margin: 0;
  padding: 5.5px 0 5.5px 1.5em;
  text-indent: -1.5em;
  list-style-type: none;
  counter-increment: item;
}

body .custom-styled-text ol>li>ul>li {
  text-indent: .2em;
}

.custom-styled-text ol>li:before {
  display: inline-block;
  width: 1em;
  padding-right: 0.5em;
  font-weight: bold;
  text-align: right;
  content: counter(item) ".";
}

/* .custom-styled-text ul > li,
.custom-styled-text ol > li {
  font-size: .9em !important;
} */
/* .custom-styled-text.legal ul > li,
.custom-styled-text.legal ol > li{
  font-size: 90% !important;
} */
/*---[ START - Legal terms & conditions and privacy policy pages ] ---*/
/* .legal ol {
  list-style-position: outside;
}

.legal ul {
  padding: 0 0 2px 2em;
}

.legal ul li:last-child, .legal ol li:last-child {
  margin-bottom: 0 !important;
}

.legal ol li, .legal ul li {
  margin-bottom: 8px !important;
  margin-top: 10px;
  margin-left: 5px !important;
} */
/* Highlighted Link Animation Effect */
.custom-styled-text p>a:link {
  text-decoration: none;
  color: #ee4137;
  background-image: linear-gradient(#ee4137, #ee4137), linear-gradient(#2d0935, #2d0935);
  background-position: 0% 100%;
  background-repeat: no-repeat;
  background-size: 0% 2px, 100% 2px;
  transition: background-size .16s;
  position: relative;
}

.custom-styled-text p>a:link:hover,
.custom-styled-text p>a:link:focus {
  background-size: 100% 2px, 100% 100%;
  color: #f7f8fb;
}

.et-show-more-content {
  display:none;
}
.et-fb .et-show-more-content {
  display:block;
}
.et-show-more-toggle {
  cursor:pointer;
}
